For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETGet returns filtered by search parameters
          • GETGet an individual return
          • POSTRun an operation on an return
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Returns

Get an individual return

GET
https://api.feedamp.feedonomics.com/api/v2/returns/:return-id
GET
/api/v2/returns/:return-id
$curl https://api.feedamp.feedonomics.com/api/v2/returns/109872189273617283 \
> -H "token: token" \
> -H "client: 1" \
> -u "<username>:<password>"
1{
2 "id": "109872189273617283",
3 "marketplace_return_number": "111-99998888-55555",
4 "imported_date": {},
5 "return_lines": [
6 {
7 "id": "109872189273617283",
8 "marketplace_return_line_number": "XX-111-FF-1111",
9 "marketplace_order_line_number": "XX-111-FF-1111",
10 "feedamp_order_line_id": "109872189273617283",
11 "sku": "1234-12353",
12 "product_name": "ACME Super Product",
13 "quantity": 1,
14 "unit_price": 200,
15 "reason": "Not what I ordered",
16 "original_price": 1.95,
17 "requested_refund": 1.95,
18 "shipping_expected": false,
19 "destination": "string",
20 "label_cost": 1.95,
21 "tracking_info": {
22 "carrier": " '4PX', 'A-1', 'AAA Cooper', 'ABF', 'Asendia', 'Best Buy', 'Blue Package', 'Canada Post', 'CEVA', 'China Post', 'Conway', 'DHL', 'DHL eCommerce', 'Estes', 'FedEx', 'Fedex Freight', 'FedEx SmartPost', 'First Mile', 'Hongkong Post', 'Hunter Logistics', 'India Post', 'JCEX', 'Lasership', 'Newgistics', 'Old Dominion', 'OnTrac', 'OSM', 'Pilot Freight', 'R+L', 'Roadrunner', 'Royal Mail', 'Saia', 'SF Express', 'SFC', 'Singapore Post', 'South Eastern Freight Lines', 'Streamlite', 'UPS', 'UPS Freight', 'UPS Mail Innovations', 'Urban Express', 'USPS', 'WanbExpress', 'Watkins and Shepard', 'YANWEN', 'Yellow Freight', 'Yun Express', 'Other'",
23 "tracking_number": "string"
24 }
25 }
26 ],
27 "order_id": "109872189273617283",
28 "integration_name": "My Store",
29 "marketplace_name": "Target",
30 "rma": "1234567890",
31 "merchant_return_number": "1234567890",
32 "marketplace_order_number": "000-1234567-7654321",
33 "marketplace_state": "Shipped",
34 "normalized_marketplace_state": "string",
35 "pre_authorized": true,
36 "customer": {
37 "full_name": "A. Customer",
38 "email": "customer@internet-provider.com",
39 "phone": "5558675309",
40 "vat": "78131452263"
41 },
42 "request_date": {},
43 "respond_by_date": {},
44 "notes": "leave by the back door.",
45 "shipping_address": {
46 "full_name": "John M. Doe",
47 "address1": "123 Fake Street",
48 "city": "Ghost Town",
49 "state": "DC",
50 "postal_code": "91234",
51 "country_code": "USA",
52 "address_type": "business",
53 "address2": "Building 456",
54 "address3": "Room 789",
55 "country_code_iso2": "US",
56 "phone": "9997776666"
57 },
58 "return_type": "SHIP"
59}

Get a return identified for the specified return-id

Was this page helpful?
Previous

Get returns filtered by search parameters

Next

Run an operation on an return

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

return-idstringRequired
FeedAMP Return ID

Headers

tokenstringRequired

The Authentication token obtained from the v1 get_token route

clientintegerRequired
The ID of the client making the request

Query parameters

include_orderbooleanOptional
Include the order data, associated with the return, in response

Response

The return
idstring
Unique identifier for a record
marketplace_return_numberstring1-128 characters
The primary return number used to identify the return in the marketplace's system
imported_datedatetime

The datetime at which the order was first seen by FeedAMP. RFC-3339 format 2020-12-31T12:34:56-05:00

return_lineslist of objects
A collection of ReturnLine objects.
order_idstring
Identifier for the order this return is for, if applicable
integration_namestring

Client-configured identifier for the integration from which the order originated

marketplace_namestring
The platform from which the order originated
rmastring1-128 characters
RMA ID of the return
merchant_return_numberstring1-128 characters
Return identifier provided by the merchant, separately from RMA
marketplace_order_numberstring>=1 character
Order number of the order associated with this return
marketplace_statestring
The marketplace's own representation of the return state
normalized_marketplace_statestring
FeedAMP's interpretation of the marketplace state
pre_authorizedboolean
Whether customer returns are assumed to be authorized by the merchant
customerobject
request_datedatetime

Date the customer initiated the return. RFC-3339 format 2020-12-31T12:34:56-05:00

respond_by_datedatetime

Date by which the seller must respond to the return request. RFC-3339 format 2020-12-31T12:34:56-05:00

notesstring
The customer's notes about the return.
shipping_addressobject
Customer's Shipping Information
return_typeenum
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error